package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceApply.makeInvoiceStatus.state;

import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplyFieldMakeInvoiceStatusState {

	// 财务-待开票 -> 状态 -> 待开票(0, "待开票"),
	SysNotify opInit();

	// 财务-作废票 -> 状态 -> 已作废(2, "已作废"),
	SysNotify opBecomeInvalid();

	// 财务-发起开票 -> 状态 -> 开票中(10, "开票中"),
	SysNotify opOngoing();

	// 财务-确认开票 -> 状态 -> 已开票(11, "已开票"),
	SysNotify opComplete();

}
